X2Go Bug report logs - #236
x2goclient on mac ignores users language setting

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Tue, 11 Jun 2013 09:18:02 UTC

Severity: minor

Tags: build-macosx

Found in version 4.0.1.0

Fixed in version 4.0.4.0

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#236; Package x2goclient. (Tue, 11 Jun 2013 09:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 11 Jun 2013 09:18:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Anders Bruun Olsen <abo@dsl.dk>
To: X2go bugs <submit@bugs.x2go.org>
Subject: x2goclient on mac ignores users language setting
Date: Tue, 11 Jun 2013 11:13:43 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.1.0
Severity: minor

On Mac X2goclient will be shown in the language chosen at the time of
installing OS X (system wide). If the user chose danish as the language
upon first starting the machine, and then later changes the language to
english for his account, x2goclient will still be in danish, despite
everything else he starts being in english.

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#236; Package x2goclient. (Fri, 14 Jun 2013 10:33:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 14 Jun 2013 10:33:03 GMT) (full text, mbox, link).


Message #10 received at 236@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Anders Bruun Olsen <abo@dsl.dk>, 236@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#236: x2goclient on mac ignores users language setting
Date: Fri, 14 Jun 2013 12:21:29 +0200
[Message part 1 (text/plain, inline)]
Hi Anders,

On Di 11 Jun 2013 11:13:43 CEST Anders Bruun Olsen wrote:

> On Mac X2goclient will be shown in the language chosen at the time of
> installing OS X (system wide). If the user chose danish as the language
> upon first starting the machine, and then later changes the language to
> english for his account, x2goclient will still be in danish, despite
> everything else he starts being in english.

Do you (or anyone else? Clemens?) have an idea how a Qt application  
must be told into using the user space's language settings.

It does not sound too difficult to get this fixed, but I'd be happy  
about feedback from one of you Mac quys on this.

Thanks!
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) build-macosx. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 28 Feb 2014 12:00:01 GMT) (full text, mbox, link).


🔗 View this message in rfc822 format

From: Mihai Moldovan <ionic@ionic.de>
To: Anders Bruun Olsen <abo@dsl.dk>, 236@bugs.x2go.org
Subject: Bug#236: x2goclient on mac ignores users language setting
Date: Tue, 28 Feb 2017 15:10:22 +0100
[Message part 1 (text/plain, inline)]
Control: fixed -1 4.0.4.0
Control: close -1

On 11.06.2013 11:13 AM, Anders Bruun Olsen wrote:
> Package: x2goclient
> Version: 4.0.1.0
> Severity: minor
> 
> On Mac X2goclient will be shown in the language chosen at the time of installing
> OS X (system wide). If the user chose danish as the language upon first starting
> the machine, and then later changes the language to english for his account,
> x2goclient will still be in danish, despite everything else he starts being in
> english.

X2Go Client should now correctly load the translator that is set in the Aqua
user session.

That should have been fixed quite some time ago.

You have to restart X2Go Client between changing languages, though (as most
other applications.)



Mihai


[signature.asc (application/pgp-signature, attachment)]

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 28 Feb 2017 14:15:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.4.0. Request was from Mihai Moldovan <ionic@ionic.de> to 236-submit@bugs.x2go.org. (Tue, 28 Feb 2017 14:15:02 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mihai Moldovan <ionic@ionic.de> to 236-submit@bugs.x2go.org. (Tue, 28 Feb 2017 14:15:02 GMT) (full text, mbox, link).


Notification sent to Anders Bruun Olsen <abo@dsl.dk>:
Bug acknowledged by developer. (Tue, 28 Feb 2017 14:15:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 29 Mar 2017 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Nov 18 10:47:40 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.